Qt 5.11 | Qt Quick | C++ Classes | QQuickAsyncImageProvider

Qt 5.11.3 Reference Documentation

# QQuickAsyncImageProvider Class

The QQuickAsyncImageProvider class provides an interface for for asynchronous control of QML image requests. More...

Header: | #include <QQuickAsyncImageProvider>
qmake: | QT += quick
Since: | Qt 5.6
Inherits: | QQuickImageProvider

- List of all members, including inherited members

## Public Functions

| QQuickAsyncImageProvider()
virtual | ~QQuickAsyncImageProvider() override
virtual QQuickImageResponse * | requestImageResponse(const QString &id, const QSize &requestedSize) = 0

- 5 public functions inherited from QQuickImageProvider

## Detailed Description

The QQuickAsyncImageProvider class provides an interface for for asynchronous control of QML image requests.

See the Image Response Provider Example for a complete implementation.

See also QQuickImageProvider.

## Member Function Documentation

### QQuickAsyncImageProvider::QQuickAsyncImageProvider()

Default constructs an instance of QQuickAsyncImageProvider.

### `[override virtual]` QQuickAsyncImageProvider::~QQuickAsyncImageProvider()

Destroys the instance of QQuickAsyncImageProvider. The destructor is virtual.

### `[pure virtual]` QQuickImageResponse *QQuickAsyncImageProvider::requestImageResponse(const QString &id, const QSize &requestedSize)